package arm

import "git.urbach.dev/cli/q/src/cpu"

// CompareRegisterNumber is an alias for a subtraction that updates the conditional flags and discards the result.
func CompareRegisterNumber(register cpu.Register, number int) uint32 {
	return addRegisterNumber(0b11, 1, ZR, register, number)
}

// CompareRegisterRegister is an alias for a subtraction that updates the conditional flags and discards the result.
func CompareRegisterRegister(reg1 cpu.Register, reg2 cpu.Register) uint32 {
	return addRegisterRegister(0b11, 1, ZR, reg1, reg2)
}
