package arm

import "git.urbach.dev/cli/q/src/cpu"

// SubRegisterNumber subtracts a number from the given register.
func SubRegisterNumber(destination cpu.Register, source cpu.Register, number int) uint32 {
	return addRegisterNumber(0b11, 0, destination, source, number)
}

// SubRegisterRegister subtracts a register from a register.
func SubRegisterRegister(destination cpu.Register, source cpu.Register, operand cpu.Register) uint32 {
	return addRegisterRegister(0b11, 0, destination, source, operand)
}
